%define rname beryl
%define name %{rname}-settings
%define version 0.2.0
%define release %mkrel 2

Name: %name
Version: %version
Release: %release
Summary: Settings Manager for Beryl
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: beryl-settings-bindings-devel = %{version}
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: beryl-settings-bindings = %{version}
Requires: pygtk2.0

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: csm
Obsoletes: csm

%description
Configuration editor for Beryl.


%prep
%setup -q

%build
%configure2_5x --disable-mime-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}
%dir %{_datadir}/bsm
%{_datadir}/bsm/images/*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop



%changelog
* Wed Mar 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-2mdv2007.0
+ Revision: 147143
- Rebuild

* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 144911
- Update BuildRequires after split of beryl-settings-bindings.
- New Version: 0.2.0

  + Anssi Hannula <anssi@mandriva.org>
    - fix desktop entry categories

* Sat Feb 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-2mdv2007.1
+ Revision: 122145
- Add pygtk2.0 dependancy

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120682
- New Release Candidate 0.1.9999.2 (RC2)

* Tue Feb 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116675
- Don't make it noarch yet as upstream have not fixed autotools yet.
- Make a noarch package
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111375
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102809
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94442
- The official 0.1.3

  + Sébastien Savarin <plouf@mandriva.org>
    - New rev 0.1.3

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 85541
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.0
+ Revision: 78434
- Rebuild with correctly libified beryl-core

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 78068
- New Release 0.1.2

* Tue Oct 24 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 72138
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel
- Add in missing build requires accidentially overwritten in last update.

  + Sébastien Savarin <plouf@mandriva.org>
    - New revision 0.1.1

* Wed Oct 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-7mdv2007.0
+ Revision: 66091
- YAR - Yet Another Rebuild
- Fix more BuildReqs
- Build also requires desktop-file-utils
- Fix BuildRequires
- Rebuild
- Fix build requires (intltool)
- Proper handling of Provides/Obsoletes for package renames
- First Beryl Settings release
- Compiz Quinnstorm becomes Beryl
- Fix BuildRequires from automated reports
- Fix menus

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.12-4mdv2007.0
+ Revision: 61826
- Import csm

